## org.gnu.gtk
Class MenuBar

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.GtkObject
                  org.gnu.gtk.Widget
                      org.gnu.gtk.Container
                          org.gnu.gtk.MenuShell
                              org.gnu.gtk.MenuBar

public class MenuBar
extends MenuShell

The MenuBar is a subclass of MenuShell which contains one to many MenuItem. The result is a standard menu bar which can hold many menu items. MenuBar allows for a shadow type to be set for aesthetic purposes.

Constructor Summary
`MenuBar()` Create a new MenuBar.
`MenuBar(org.gnu.glib.Handle handle)` Creates a new menubar from a handle to internal resources.

Method Summary
`PackDirection` `getChildPackDirection()`
`static MenuBar` `getMenuBar(org.gnu.glib.Handle handle)` Internal static factory method to be used by Java-Gnome only.
`PackDirection` `getPackDirection()`
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`void` `setChildPackDirection(PackDirection packDirection)`
`void` `setPackDirection(PackDirection packDirection)`

Methods inherited from class org.gnu.gtk.MenuShell
`activateItem, append, cancel, deactivate, deselect, getTakeFocus, insert, prepend, selectFirst, selectItem, setTakeFocus`

Methods inherited from class org.gnu.gtk.Container
`add, addListener, getBorderWidth, getChildren, getEventListenerClass, getEventType, getResizeMode, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addAccelerator, addEvents, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, draw, drawArea, drawArea, finish, getAccessible, getColormap, getContext, getData, getDisplay, getDragData, getExtensionEvents, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWidget, getWindow, grabDefault, grabFocus, hasFocus, hasScreen, hide, hideAll, highlight, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeAccelerator, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setEvents, setExtensionEvents, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`destroy, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MenuBar

    public MenuBar(org.gnu.glib.Handle handle)

  Creates a new menubar from a handle to internal resources. This should only be used internally by Java-Gnome.

### MenuBar

    public MenuBar()

  Create a new MenuBar.

Method Detail

### getMenuBar

    public static MenuBar getMenuBar(org.gnu.glib.Handle handle)

  Internal static factory method to be used by Java-Gnome only.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### getPackDirection

    public PackDirection getPackDirection()

### setPackDirection

    public void setPackDirection(PackDirection packDirection)

  Parameters:
    `packDirection` -

### getChildPackDirection

    public PackDirection getChildPackDirection()

### setChildPackDirection

    public void setChildPackDirection(PackDirection packDirection)